# Update user friends

Updates the friend list of the authenticated user.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: POST /users/me/relationships
Version: v1
Security: Bearer

## Request fields (application/json):

  - `action` (string)
    Type of the action. Can be:

* friend_request_add to send a friend request,
* friend_request_cancel to cancel the friend request that was sent,
* friend_request_approve to confirm the friend request,
* friend_request_deny to cancel the friend request that was received,
* friend_remove to delete the user from the friend list,
* block to block the user,
* unblock to unblock the user.
    Enum: "friend_request_add", "friend_request_cancel", "friend_request_approve", "friend_request_deny", "friend_remove", "block", "unblock"

  - `user` (string)
    ID of the user to change relationship with.
    Example: "00000000-0000-0000-0000-000000000000"

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


## Response 204 fields
